<Type Name="MemberDescriptor" FullName="System.ComponentModel.MemberDescriptor">
  <TypeSignature Language="C#" Value="public abstract class MemberDescriptor" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes>
    <Attribute>
      <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="FindMethod">
      <MemberSignature Language="C#" Value="protected static Reflection.MethodInfo FindMethod (Type componentClass, string name, Type [] args, Type returnType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Reflection.MethodInfo</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentClass" Type="System.Type" />
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="args" Type="System.Type[]" />
		<Parameter Name="returnType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentClass">To be added: an object of type 'Type'</param>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="args">To be added: an object of type 'Type []'</param>
        <param name="returnType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'Reflection.MethodInfo'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FindMethod">
      <MemberSignature Language="C#" Value="protected static Reflection.MethodInfo FindMethod (Type componentClass, string name, Type [] args, Type returnType, bool publicOnly);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Reflection.MethodInfo</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentClass" Type="System.Type" />
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="args" Type="System.Type[]" />
		<Parameter Name="returnType" Type="System.Type" />
		<Parameter Name="publicOnly" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentClass">To be added: an object of type 'Type'</param>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="args">To be added: an object of type 'Type []'</param>
        <param name="returnType">To be added: an object of type 'Type'</param>
        <param name="publicOnly">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'Reflection.MethodInfo'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetSite">
      <MemberSignature Language="C#" Value="protected static ISite GetSite (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.ISite</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'ISite'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetInvokee">
      <MemberSignature Language="C#" Value="protected static object GetInvokee (Type componentClass, object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentClass" Type="System.Type" />
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentClass">To be added: an object of type 'Type'</param>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillAttributes">
      <MemberSignature Language="C#" Value="protected virtual void FillAttributes (Collections.IList attributeList);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributeList" Type="System.Collections.IList" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributeList">To be added: an object of type 'Collections.IList'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateAttributeCollection">
      <MemberSignature Language="C#" Value="protected virtual AttributeCollection CreateAttributeCollection ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.AttributeCollection</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'AttributeCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetHashCode">
      <MemberSignature Language="C#" Value="public virtual int GetHashCode ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Equals">
      <MemberSignature Language="C#" Value="public virtual bool Equals (object obj);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="obj" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="obj">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected MemberDescriptor (string name);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'MemberDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected MemberDescriptor (string name, Attribute [] attributes);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'MemberDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected MemberDescriptor (MemberDescriptor descr);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="descr" Type="System.ComponentModel.MemberDescriptor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="descr">To be added: an object of type 'MemberDescriptor'</param>
        <returns>To be added: an object of type 'MemberDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected MemberDescriptor (MemberDescriptor oldMemberDescriptor, Attribute [] newAttributes);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="oldMemberDescriptor" Type="System.ComponentModel.MemberDescriptor" />
		<Parameter Name="newAttributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="oldMemberDescriptor">To be added: an object of type 'MemberDescriptor'</param>
        <param name="newAttributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'MemberDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="AttributeArray">
      <MemberSignature Language="C#" Value="protected virtual Attribute [] AttributeArray { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Attribute[]</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'Attribute []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Attributes">
      <MemberSignature Language="C#" Value="public virtual AttributeCollection Attributes { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.AttributeCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'AttributeCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Category">
      <MemberSignature Language="C#" Value="public virtual string Category { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Description">
      <MemberSignature Language="C#" Value="public virtual string Description { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsBrowsable">
      <MemberSignature Language="C#" Value="public virtual bool IsBrowsable { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Name">
      <MemberSignature Language="C#" Value="public virtual string Name { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NameHashCode">
      <MemberSignature Language="C#" Value="protected virtual int NameHashCode { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DesignTimeOnly">
      <MemberSignature Language="C#" Value="public virtual bool DesignTimeOnly { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DisplayName">
      <MemberSignature Language="C#" Value="public virtual string DisplayName { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
